package print;

import log.LogLayer;
import net.sf.appia.core.Appia;
import net.sf.appia.core.AppiaDuplicatedSessionsException;
import net.sf.appia.core.AppiaInvalidQoSException;
import net.sf.appia.core.Channel;
import net.sf.appia.core.Layer;
import net.sf.appia.core.QoS;

public class Example {

	public static void main(String[] args) {
		/* Create layers and put them in a array */
		Layer[] qos = { new PrintLayer(), new LogLayer(), new PrintApplicationLayer()};

		/* Create a QoS */
		QoS myQoS = null;
		try {
			myQoS = new QoS("Print stack", qos);
		} catch (AppiaInvalidQoSException ex) {
			System.err.println("Invalid QoS");
			System.err.println(ex.getMessage());
			System.exit(1);
		}

		/* Create a channel. Uses default event scheduler. */
		Channel channel = myQoS.createUnboundChannel("Print Channel");
		try {
			channel.start();
		} catch (AppiaDuplicatedSessionsException ex) {
			System.err.println("Error in starting the channel");
			System.exit(1);
		}

		/* All set. Appia main class will handle the rest */
		System.out.println("Starting Appia...");
		Appia.run();
	}
}
